> For the complete documentation index, see [llms.txt](https://docs.aisuru.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aisuru.com/api-en/backend/badge.md).

# Badge

## Processes the specified outcome.

> For internal use only.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Outcome/{strToken}/{outcomeCode}":{"post":{"tags":["Badge"],"summary":"Processes the specified outcome.","description":"For internal use only.","operationId":"Badge-SendOutcome","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"outcomeCode","in":"path","description":"The outcome code","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````

## Processes a badge assignment.

> For internal use only.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/BadgeAssignment":{"post":{"tags":["Badge"],"summary":"Processes a badge assignment.","description":"For internal use only.","operationId":"Badge-BadgeAssignmentCallback","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadgeAssignment"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"BadgeAssignment":{"required":["badgeUrl","outcome","refId"],"type":"object","properties":{"refId":{"minLength":1,"type":"string"},"outcome":{"minLength":1,"type":"string"},"badgeUrl":{"minLength":1,"type":"string"}},"additionalProperties":false},"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````

## GET /api/v2/Badges/{strToken}

> Gets a list of Badge objects assigned to the currently logged in User.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Badges/{strToken}":{"get":{"tags":["Badge"],"summary":"Gets a list of Badge objects assigned to the currently logged in User.","operationId":"Badge-ListBadges","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListBadgesResponse"}}}}}}}},"components":{"schemas":{"ListBadgesResponse":{"type":"object","properties":{"badges":{"type":"array","items":{"$ref":"#/components/schemas/BadgeSpecs"},"description":"The list of Badge objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Badges request."},"BadgeSpecs":{"type":"object","properties":{"badgeID":{"type":"string","description":"Badge ID. Unique and assigned by the system.","nullable":true},"date":{"type":"string","description":"Date of assignment.","format":"date-time"},"name":{"type":"string","description":"Badge name.","nullable":true},"description":{"type":"string","description":"Badge description.","nullable":true},"imageURL":{"type":"string","description":"URL of the badge image.","nullable":true},"tags":{"type":"array","items":{"type":"string"},"description":"List of badge tags.","nullable":true},"issuerName":{"type":"string","description":"Name of the badge issuer.","nullable":true},"issuerDescription":{"type":"string","description":"Description of the badge issuer","nullable":true},"issuerEmail":{"type":"string","description":"E-mail of the badge issuer (if available).","nullable":true},"issuerURL":{"type":"string","description":"URL of the badge issuer (if available).","nullable":true}},"additionalProperties":false}}}}
````

## GET /api/v2/Badge/{strToken}/{strBadgeID}

> Gets a list of Badge objects assigned to the currently logged in User.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Badge/{strToken}/{strBadgeID}":{"get":{"tags":["Badge"],"summary":"Gets a list of Badge objects assigned to the currently logged in User.","operationId":"Badge-GetBadge","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strBadgeID","in":"path","description":"The ID of the Badge object","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetBadgeResponse"}}}}}}}},"components":{"schemas":{"GetBadgeResponse":{"type":"object","properties":{"badge":{"$ref":"#/components/schemas/BadgeSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Get Badge request."},"BadgeSpecs":{"type":"object","properties":{"badgeID":{"type":"string","description":"Badge ID. Unique and assigned by the system.","nullable":true},"date":{"type":"string","description":"Date of assignment.","format":"date-time"},"name":{"type":"string","description":"Badge name.","nullable":true},"description":{"type":"string","description":"Badge description.","nullable":true},"imageURL":{"type":"string","description":"URL of the badge image.","nullable":true},"tags":{"type":"array","items":{"type":"string"},"description":"List of badge tags.","nullable":true},"issuerName":{"type":"string","description":"Name of the badge issuer.","nullable":true},"issuerDescription":{"type":"string","description":"Description of the badge issuer","nullable":true},"issuerEmail":{"type":"string","description":"E-mail of the badge issuer (if available).","nullable":true},"issuerURL":{"type":"string","description":"URL of the badge issuer (if available).","nullable":true}},"additionalProperties":false}}}}
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aisuru.com/api-en/backend/badge.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
